--- a/src/SurfaceReconstruction.cpp
+++ b/src/SurfaceReconstruction.cpp
@@ -21,7 +21,7 @@
 #include <dolfin/common/constants.h>
 
 #define CGAL_EIGEN3_ENABLED true
-#include <CGAL/trace.h>
+#include <CGAL/IO/trace.h>
 #include <CGAL/Exact_predicates_inexact_constructions_kernel.h>
 #include <CGAL/Surface_mesh_default_triangulation_3.h>
 #include <CGAL/make_surface_mesh.h>
@@ -230,7 +230,7 @@
   }
   // Computes average spacing
   log(dolfin::TRACE, "Compute average spacing");
-  FT average_spacing = CGAL::compute_average_spacing<CGAL::Sequential_tag>(points.begin(), points.end(),
+  FT average_spacing = CGAL::compute_average_spacing<CGAL::Sequential_tag>(points,
                                                      6 /* knn = 1 ring */);
   // Gets one point inside the implicit surface
   // and computes implicit function bounding sphere radius.
